This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 32260 - WorkspaceImpl (and maybe others) should use special UI classes
Summary: WorkspaceImpl (and maybe others) should use special UI classes
Status: VERIFIED WONTFIX
Alias: None
Product: platform
Classification: Unclassified
Component: Window System (show other bugs)
Version: 3.x
Hardware: All All
: P3 blocker (vote)
Assignee: David Strupl
URL:
Keywords:
Depends on:
Blocks: 32488
  Show dependency tree
 
Reported: 2003-03-24 22:00 UTC by David Strupl
Modified: 2008-12-23 09:05 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Strupl 2003-03-24 22:00:25 UTC
If they use special UI classes their behaviour
(and look) can be influenced from the L&F. Of
course when the special UI class is not present it
should default to some standard UI class.

I will try to provide patches (later). Review
(after the patches are supplied) would be nice.
Thanks for your help.
Comment 1 Marian Mirilovic 2003-11-26 12:55:52 UTC
Because Window System v1 will not be supported from now by our team, all old
winsys issues (now "core/window system v1" issues) are going to be closed as
WONTFIX. 

Changes in API which emerged both from UI spec 
and problems with adjusting to the older API are described in the document
http://core.netbeans.org/windowsystem/changes.html.
 It shows also recommends how the client code should be adjusted to the new
window system.

If you think this issue apply also to the new winsys then change the
subcomponent (to "core/window system") and REOPEN it.
Comment 2 Marian Mirilovic 2004-02-27 14:09:55 UTC
issue doesn't apply to new window system - verified